Package org.apache.catalina.tribes

## Class ChannelException.FaultyMember

- java.lang.Object
- - org.apache.catalina.tribes.ChannelException.FaultyMember

Enclosing class:
  ChannelException

    public static class ChannelException.FaultyMember
    extends java.lang.Object

Title: FaultyMember class

Description: Represent a failure to a specific member when a message was sent to more than one member

### Field Summary

Fields
`protected java.lang.Exception` `cause`
`protected Member` `member`

### Constructor Summary

Constructors
`FaultyMember​(Member mbr, java.lang.Exception x)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(java.lang.Object o)`
`java.lang.Exception` `getCause()`
`Member` `getMember()`
`int` `hashCode()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### cause

    protected final java.lang.Exception cause

#### member

    protected final Member member

### Constructor Detail

#### FaultyMember

    public FaultyMember​(Member mbr,
                        java.lang.Exception x)

### Method Detail

#### getMember

    public Member getMember()

#### getCause

    public java.lang.Exception getCause()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`